<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="ISO-8859-1" standalone="yes"/>
<xsl:template match="/">
<HF_DOCUMENT>
<xsl:for-each select="//document">
  <xsl:if test="./type='commande'">
    <xsl:for-each select="./article">
      <Lignes>
        <numero><xsl:value-of select="../numero" /></numero>
        <code><xsl:value-of select="./code" /></code>
        <quantite><xsl:value-of select="./quantite" /></quantite>
        <xsl:choose>
          <xsl:when test="./tarif">
            <tarif><xsl:value-of select="./tarif" /></tarif>
          </xsl:when>
          <xsl:otherwise>
            <tarif><xsl:value-of select="../tarif" /></tarif>
          </xsl:otherwise>
        </xsl:choose>      
      </Lignes>
    </xsl:for-each>
  </xsl:if>
</xsl:for-each>
</HF_DOCUMENT>
</xsl:template>
</xsl:stylesheet>

