<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="ISO-8859-1" standalone="yes"/>
<xsl:template match="/">
<racine>
  <TransformationXSL E="/racine/personne/date_maj" F="XSL_tampon()" />
  <xsl:for-each select="//personne">
    <TransformationXSL E="/racine/personne/@date">
    <xsl:attribute name = "F"> 
      <xsl:text>XSL_jjmmaa2aaaammjj(&quot;</xsl:text>
      <xsl:value-of select="@date" />
      <xsl:text>&quot;)</xsl:text>
    </xsl:attribute>
    
    </TransformationXSL>
    <personne>
    <xsl:attribute name = "index"> 
      <xsl:value-of select="@index"/>
    </xsl:attribute>
    <xsl:attribute name = "date"> 
      <xsl:text>@</xsl:text>
    </xsl:attribute> 
      <nom>
        <xsl:value-of select="./nom"/>
      </nom>
      <prenom>
        <xsl:value-of select="./prenom"/>    
      </prenom>
      <date_maj>
        <xsl:text>@</xsl:text>
      </date_maj>
    </personne>
  </xsl:for-each>
</racine>
</xsl:template>
</xsl:stylesheet>

